=== debian/changelog ===
djbdns (1:1.05-22.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1114091)
  * Increase the test timeouts to 1 hour, which might make the
    riscv64 autopkgtest non-flaky.

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Oct 2025 20:46:39 +0300

djbdns (1:1.05-22) unstable; urgency=medium

  * Bump the "million UDP queries" test timeout again; it seems that now
    it is indeed a matter of a timeout and not djbdns running out of
    memory again.

 -- Peter Pentchev <roam@debian.org>  Thu, 10 Apr 2025 11:41:52 +0300

djbdns (1:1.05-21) unstable; urgency=medium

  * Bump the autopkgtest time limit once again, but, at the same time,
    introduce a small delay between successive queries.
  * Salsa CI configuration updates:
    - use the now-canonical debian/salsa-ci.yml filename
    - use the now-canonical "debian" recipe
    - enable some optional features: build twice, force gbp-export-orig,
      enable diffoscope in the reprotest, only allow autopkgtest exit code 0

 -- Peter Pentchev <roam@debian.org>  Wed, 09 Apr 2025 21:30:17 +0300

djbdns (1:1.05-20) unstable; urgency=medium

  * Try to raise the autopkgtest timeout for sending a million
    local queries to see if that, and not increasing the process
    data limit, will fix the tests.

 -- Peter Pentchev <roam@debian.org>  Tue, 18 Mar 2025 11:57:07 +0200

djbdns (1:1.05-19) unstable; urgency=medium

  * Declare compliance with Policy 4.7.2 with no changes.
  * Drop the fakeroot-for-setgroups patch, fixed in sbuild.
  * Drop the setgroups Salsa CI workaround.
  * Minor autopkgtest refactoring.
  * Push the autopkgtest source into debian/tests/python/tinytest/.
  * Bump the default datalimit even more (to 700000 bytes) to fix
    autopkgtest failures on some platforms.

 -- Peter Pentchev <roam@debian.org>  Mon, 17 Mar 2025 14:05:32 +0200

djbdns (1:1.05-18) unstable; urgency=medium

  * As a maybe temporary workaround suggested by Niels Thykier, use
    fakeroot during the build only for the build tools that try to
    use setgroups(2). Closes: #1091850

 -- Peter Pentchev <roam@debian.org>  Wed, 01 Jan 2025 16:37:08 +0200

djbdns (1:1.05-17) unstable; urgency=medium

  * Add the ftbfs-gid-t, ftbfs-uint32-ulong, and ftbfs-utime patches to
    fix FTBFS. Closes: #1081076
  * Fix the DEP-3 header of the ftbfs-implicit-declarations patch.
  * Use debputy's X-Style: black.
  * Minor updates to the autopkgtest tool:
    - use Ruff 0.8.4 for testing, override some docstring checks
    - use the same settings as utf8-locale:
      - set LC_ALL to "C.UTF-8", it is there on all supported Debian versions
      - remove LANGUAGE instead of setting it to "en"
    - allow the -b / --bindir and -s / --sbindir command-line options to
      specify relative paths

 -- Peter Pentchev <roam@debian.org>  Mon, 30 Dec 2024 16:18:59 +0200

djbdns (1:1.05-16) unstable; urgency=medium

  * Acknowledge NMU; thanks, Helmut Grohne and Chris Hofstaedtler!
  * Drop the "type is a bashism" Lintian override, Lintian no longer
    emits this false positive message.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debhelper 14:
    - the sysusers sequence is activated by default now
    - let debhelper add some default dependencies automatically
  * Stop overriding the "lines too long" Lintian warning.
  * Use dpkg's default.mk in the rules file.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF package metadata.
  * Drop the version of the dh-runit build dependency.
  * Raise the datalimit in the 0011-datalimit patch again to try to fix
    the autopkgtest failures on 32-bit systems.
  * Refresh the Python coding style in the autopkgtest suite.

 -- Peter Pentchev <roam@debian.org>  Wed, 03 Jul 2024 18:08:00 +0300

djbdns (1:1.05-15.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Move from dh-sysuser to standard dh_installsysusers (Closes: #1071526)
  * Fix FTBFS. (Closes: #1066632)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jun 2024 21:17:37 +0200

djbdns (1:1.05-15) unstable; urgency=medium

  * Fix the setgid directory FTBFS on kFreeBSD: let the test tool
    detect this situation and change the temporary directory's group to
    its own.

 -- Peter Pentchev <roam@debian.org>  Mon, 15 Nov 2021 02:21:04 +0200

djbdns (1:1.05-14) unstable; urgency=medium

  * Declare compliance with Policy 4.6.0 with no changes.
  * Override two Lintian diagnostics.
  * Drop leading slashes in the *.install destination.
  * Drop the version the dh-sysuser build dependency, satisfied even
    in oldstable.
  * Use debian/clean to clean up the sysvinit/conf directory.
  * Add the 0010-dnsroots.global patch. Closes: #996373
  * Add the 0011-datalimit patch to catch up with recent versions of
    glibc generating larger executable files. Closes: #996807
  * Several improvements to the Python tinytest autopkgtest tool:
    - use "with subprocess.Popen()"
    - simplify the command-line parsing a bit
    - minor import statement fixes
    - add a tox.ini file to make it easier to run static code checkers
    - turn a class into a dataclass
    - send a lot of queries to tinydns to make sure that the fix for
      #996807 actually works
  * Bump the debhelper compatibility level to 13 and drop the check for
    "nocheck" in DEB_BUILD_OPTIONS, since it is done automatically now.
  * Build and install systemd service files, too.
  * Use `execute_after_*` for one more target.
  * Fix a typo in the debian/manpages-README file.

 -- Peter Pentchev <roam@debian.org>  Sun, 14 Nov 2021 20:41:31 +0200

djbdns (1:1.05-13) unstable; urgency=medium

  * Do not even consider running tinydns during the package build.
    Hence, drop the lsof dependency; as a side effect, this should
    help the build on kFreeBSD and the Hurd.
    The test will still be performed during an autopkgtest run.


