=== debian/control ===
Source: djbdns
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-runit,
 dpkg-build-api (= 1),
 fakeroot,
 ionit,
 po-debconf,
 python3 <!nocheck>,
 timelimit <!nocheck>,
 tinycdb <!nocheck>,
Standards-Version: 4.7.2
X-DH-Compat: 14
Vcs-Browser: https://salsa.debian.org/debian/djbdns
Vcs-Git: https://salsa.debian.org/debian/djbdns.git
Homepage: http://cr.yp.to/djbdns.html
X-Style: black

Package: axfrdns
Architecture: any
Multi-Arch: foreign
Depends:
 tinydns,
 ucspi-tcp,
Recommends:
 daemon,
 runit,
Description: DNS zone-transfer server
 axfrdns reads a zone-transfer request in DNS-over-TCP format from its
 standard input, and responds with locally configured information.

Package: dnscache
Architecture: any
Multi-Arch: foreign
Recommends:
 daemon,
 runit,
Description: DNS cache - tool for finding addresses of Internet hosts
 When a browser wants to contact www.debian.org, it first asks a DNS
 cache, such as dnscache, to find the IP address of www.debian.org.
 .
 Internet service providers run dnscache to find IP addresses
 requested by their customers.  If you're running a home computer
 or a workstation, you can run your own dnscache to speed up your web
 browsing.

Package: tinydns
Architecture: any
Multi-Arch: foreign
Recommends:
 daemon,
 runit,
Description: DNS server - tool for publishing addresses of Internet hosts
 tinydns is general-purpose DNS server that accepts iterative DNS
 queries from hosts around the Internet, and responds with locally
 configured information.
 .
 This program is used by network administrators to publish the IP
 addresses of their computers; this package is unlikely to be useful
 for regular workstation.

Package: rbldns
Architecture: any
Multi-Arch: foreign
Recommends:
 daemon,
 runit,
Description: real time blackhole list server
 rbldns is a special-purplose DNS server, that provides information
 about blacklisted IP addresses. This information is typically used by
 email software in effort to stop spam.
 .
 For more information about this technique, see RFC 6471.

Package: walldns
Architecture: any
Multi-Arch: foreign
Recommends:
 daemon,
 runit,
Description: reverse DNS wall
 walldns accepts iterative DNS queries for in-addr.arpa domains from
 hosts around the Internet, and supplies generic responses that avoid
 revealing local host information.

Package: djbdns-utils
Architecture: any
Multi-Arch: foreign
Depends:
 ucspi-tcp,
Description: dns debugging tools
 This package provides number of tools for working with DNS, that can be used
 to diagnose misconfigured remote servers.
 .
  * dnsfilter - reverse-resolves IP addresses, converting them to host names.
  * dnsip, dnsipq - lookup IP addresses.
  * dnsmx - prints the MX records of fqdn.
  * dnsname - does a reverse lookup for the IP address.
  * dnsq - sends a non-recursive DNS query to DNS server.
  * dnsqr - asks for records of specified type under a the domain name
  * dnstrace searches for all DNS servers that can affect the resolution of
    records of specified type under a domain name, starting from the root
    server.
  * dnstxt - prints the TXT record of fqdn.
  * random-ip - print random IPv4 addresses.
 .
 This package also includes users guide to name qualification.

Package: djbdns-conf
Architecture: any
Multi-Arch: foreign
Depends:
 ucspi-tcp,
Description: programs to create service directories
 For each kind of server (tinydns, dnscache, axfrdns, walldns, rbldns)
 upstream provides program to create service directory for that server.
 .
 Service directories are part of corresponding binary packages, the only
 case when you may need this package is unlikely case when you want to run
 several instances of same service at single machine.
 .
 Service directories, created by programs in this package are
 compatible with both runit(8) and daemontools(8) supervision suites,
 but are somewhat simplistic -- they store log files in same place as
 configuration, for example.
