=== debian/tests/control ===
Test-Command: timelimit -p -T5 -- env PYTHONPATH="$(pwd)/debian/tests/python" python3 -B -u -m tinytest -b /usr/bin -s /usr/sbin
Depends:
 daemontools,
 lsof,
 python3,
 timelimit,
 tinycdb,
 @,
Restrictions:
 needs-root,
Features:
 test-name=tinytest,
