## djbdns 1.05-14

=== debian/changelog ===
djbdns (1.05-14) unstable; urgency=low

  * Added SRV patch by Michael Handler - http://tinydns.org/srv-patch

 -- Martin Sojka <m.sojka@plusserver.de>  Mon, 07 Dec 2009 16:00:00 +0000

djbdns (1.05-13) unstable; urgency=low

  * Extended the multiple-IP-patch to dnscache, too

 -- Martin Sojka <msojka@intergenia.de>  Wed, 22 Nov 2006 12:00:00 +0000

djbdns (1.05-12) unstable; urgency=low

  * Added multiple-IP-patch

 -- Martin Sojka <msojka@intergenia.de>  Wed, 25 Oct 2006 12:00:00 +0000

djbdns (1.05-11) unstable; urgency=low

  * Added dnsroots.diff patch to change IP address for j.root-servers.net
    in dnsroots.global (Closes: Bug#168233)

 -- Adam D. McKenna <adam@debian.org>  Thu, 20 Nov 2003 10:47:34 -0800

djbdns (1.05-10) unstable; urgency=low

  * added errno.diff to modify error.h in djbdns source. (Closes: Bug#181761)
  * fixed *-conf-fhs to allow command line specification of log directory
    owner (Closes: Bug#190743)
  * set explicit umask in *-conf-fhs (Closes: Bug#179275)

 -- Adam D. McKenna <adam@debian.org>  Tue, 18 Nov 2003 20:26:41 -0800

djbdns (1.05-9) unstable; urgency=low

  * Added Recommends: ucspi-tcp (Closes: Bug#173336)
  * Reverted previous removal of *-conf-fhs due to BOGUS Bug# 176008.  Made 
    mental note to scrutinize bugs filed by madduck@debian.org much more
    carefully.
  * Added -q flag to wget in get-djbdns in order to avoid mangling output
    for those doing quiet installations.

 -- Adam D. McKenna <adam@debian.org>  Tue, 28 Jan 2003 18:42:14 -0800

djbdns (1.05-8) unstable; urgency=low

  * Removed djbdns-conf-fhs and associated scripts -- since djbdns components 
    run in a chroot, a symlink to /var/log/djbdns effectively points nowhere.
    (Closes: Bug#176008)
  * Formatting and typo fixes (Closes: Bug#174063, Bug#155069)
  * Added dependency on 'make' to generated package (Closes: Bug#175475)
  * Removed log additions from postinst (Closes: Bug#158761)

 -- Adam D. McKenna <adam@debian.org>  Tue, 28 Jan 2003 14:45:02 -0800

djbdns (1.05-7) unstable; urgency=low

  * Added Suggests: ucspi-tcp-src
  * Fixed md5sum calls in postinst and get-djbdns.

 -- Adam D. McKenna <adam@debian.org>  Tue,  2 Apr 2002 10:12:31 -0800

djbdns (1.05-6) unstable; urgency=low

  * Added djbdns-conf-fhs and associated scripts (dnscache-conf-fhs etc.)
    which put djbdns logs in /var/log/djbdns/{service} instead of the default
    /etc/{service}/log
    (Closes: Bug#140098)

 -- Adam D. McKenna <adam@debian.org>  Wed, 27 Mar 2002 22:35:41 -0800

djbdns (1.05-5) unstable; urgency=low

  * Fixed long description lines (Closes: Bug#130930)
  * Removed empty/useless README.ZONES file and references to it.
    (Closes: Bug#128967)
  * Added Depdends: for wget to daemontools-installer (Closes: Bug#138827)

 -- Adam D. McKenna <adam@debian.org>  Tue, 26 Feb 2002 09:42:50 -0800

djbdns (1.05-4) unstable; urgency=low

  * Changed dependencies so that either daemontools or daemontools-installer
    can be installed. (Closes: Bug#97897)
  * Changed postrm script to account for "upgrade" argument
    (Closes: Bug#98812)

 -- Adam D. McKenna <adam@debian.org>  Tue, 29 May 2001 12:01:34 -0700

djbdns (1.05-3) unstable; urgency=low

  * The "TFGIF" release.
  * Added dependency on daemontools-installer, since djbdns depends on 
    daemontools. (Closes: Bug#94269)

 -- Adam D. McKenna <adam@debian.org>  Fri, 20 Apr 2001 12:28:55 -0700

djbdns (1.05-2) unstable; urgency=low

  * The "Work Stinks" release.
  * Got rid of all the debconf stuff in postinst -- djb's conf-* utilities
    make it braindead-easy enough for people to configure their DNS system.
  * After creating the daemontools-installer package, I have decided that
    I like the installer package better than the source package.  It's
    smaller, and it can go into contrib (instead of non-free).

 -- Adam D. McKenna <adam@debian.org>  Tue, 27 Feb 2001 01:59:19 -0800

djbdns (1.05-1) unstable; urgency=low

  * The "Love Stinks" release.
  * New upstream release

 -- Adam D. McKenna <adam@debian.org>  Wed, 14 Feb 2001 14:21:39 -0500

djbdns (1.04-2) unstable; urgency=low

  * The "Mondays suck" release.
  * Fixed prerm not to screw up on removal.
  * Changed the way we update /etc/resolv.conf in djbdns postinst.

 -- Adam D. McKenna <adam@debian.org>  Tue, 30 Jan 2001 01:12:52 -0500

djbdns (1.02-3) unstable; urgency=low

  * Fixed postinst problem with axfrdns-conf

 -- Adam D. McKenna <adam@flounder.net>  Mon, 13 Nov 2000 17:54:25 -0500

djbdns (1.02-2) unstable; urgency=low

  * some problems with package name/etc..  fixed

 -- Adam D. McKenna <adam@flounder.net>  Thu,  9 Nov 2000 19:48:36 -0500

djbdns (1.02-1) unstable; urgency=low

  * New upstream release

 -- Adam D. McKenna <adam@flounder.net>  Thu,  9 Nov 2000 14:37:10 -0500

djbdns (1.01-1) unstable; urgency=low

  * new upstream release, package renamed to djbdns.

 -- Adam D. McKenna <adam@flounder.net>  Mon, 18 Sep 2000 14:59:47 -0400

djbdns (1.00-4) unstable; urgency=low

  * djbdns-src now uses /var/lib/djbdns-src instead of /var/run/djbdns-src

 -- Adam D. McKenna <adam@flounder.net>  Tue, 18 Apr 2000 14:10:04 -0400

djbdns (1.00-3) unstable; urgency=low

  * The "Waiting for the booty call" release.
  * made a few more changes to init.d

 -- Adam D. McKenna <adam@flounder.net>  Tue, 18 Apr 2000 14:09:55 -0400

djbdns (1.00-2) unstable; urgency=low

  * The "Thank God it's Friday" release.
  * made some changes to /etc/init.d
  * removed some unnecessary docs
  * fixed typo in postinst
  * changed djbdns-src to log to /var/log/dns/djbdns-src instead of /var/log/dns

 -- Adam D. McKenna <adam@flounder.net>  Fri, 31 Mar 2000 19:14:49 -0500

djbdns (1.00-1) unstable; urgency=low

  * Initial Release.

 -- Adam D. McKenna <adam@flounder.net>  Fri, 31 Mar 2000 16:39:10 -0500

Local variables:
mode: debian-changelog
End:
